/* ======================================================================
					C L A S E   V E C T O R
====================================================================== */	
#ifndef _VECTOR_H
#define _VECTOR_H

enum estado_almacen { OK, LLENA, VACIA };
int colocar(int* , int , int );
int colocar2(int* , int , int );
void Quicksort(int* , int, int, bool);

template <class T> 
class almacen
{
   private:
      // Datos privados
   public:   
	   // Variables
	   T *array;
	   size_t num_elementos;
	   int tamanyo;
	   estado_almacen estado;
	   
	   // Metodos
	   almacen(int =3);
	   ~almacen() { delete [] array; }
	   void meter(T);
	   T sacar();
	   void visualizar();
	   int numero_elementos();
	   estado_almacen leer_estado (); 
	   void redimensionar(int tam);
	   void anadir_espacio(int tam);
	   void ordenar();
	   void ordenar_inv();    	
};

#endif